# group

Identity v3

## group add user

Add user to group

    openstack group add user
        [--group-domain <group-domain>]
        [--user-domain <user-domain>]
        <group>
        <user>
        [<user> ...]

--group-domain <group-domain>

  Domain the group belongs to (name or ID). This can be used in case collisions between group names exist.

--user-domain <user-domain>

  Domain the user belongs to (name or ID). This can be used in case collisions between user names exist.

group

  Group to contain <user> (name or ID)

user

  User(s) to add to <group> (name or ID) (repeat option to add multiple users)

## group contains user

Check user membership in group

    openstack group contains user
        [--group-domain <group-domain>]
        [--user-domain <user-domain>]
        <group>
        <user>

--group-domain <group-domain>

  Domain the group belongs to (name or ID). This can be used in case collisions between group names exist.

--user-domain <user-domain>

  Domain the user belongs to (name or ID). This can be used in case collisions between user names exist.

group

  Group to check (name or ID)

user

  User to check (name or ID)

## group create

Create new group

    openstack group create
        [--domain <domain>]
        [--description <description>]
        [--or-show]
        <group-name>

--domain <domain>

  Domain to contain new group (name or ID)

--description <description>

  New group description

--or-show

  Return existing group

group-name

  New group name

## group delete

Delete group(s)

    openstack group delete [--domain <domain>] <group> [<group> ...]

--domain <domain>

  Domain containing group(s) (name or ID)

group

  Group(s) to delete (name or ID)

## group list

List groups

    openstack group list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--domain <domain>]
        [--user <user>]
        [--user-domain <user-domain>]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--domain <domain>

  Filter group list by <domain> (name or ID)

--user <user>

  Filter group list by <user> (name or ID)

--user-domain <user-domain>

  Domain the user belongs to (name or ID). This can be used in case collisions between user names exist.

--long

  List additional fields in output

## group remove user

Remove user from group

    openstack group remove user
        [--group-domain <group-domain>]
        [--user-domain <user-domain>]
        <group>
        <user>
        [<user> ...]

--group-domain <group-domain>

  Domain the group belongs to (name or ID). This can be used in case collisions between group names exist.

--user-domain <user-domain>

  Domain the user belongs to (name or ID). This can be used in case collisions between user names exist.

group

  Group containing <user> (name or ID)

user

  User(s) to remove from <group> (name or ID) (repeat option to remove multiple users)

## group set

Set group properties

    openstack group set
        [--domain <domain>]
        [--name <name>]
        [--description <description>]
        <group>

--domain <domain>

  Domain containing <group> (name or ID)

--name <name>

  New group name

--description <description>

  New group description

group

  Group to modify (name or ID)

## group show

Display group details

    openstack group show [--domain <domain>] <group>

--domain <domain>

  Domain containing <group> (name or ID)

group

  Group to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.